Name:           phantomjs
Version:        1.8.0
Release:        1%{?dist}
Summary:        Headless WebKit with a JavaScript API
License:        BSD
URL:            http://phantomjs.org/
Source0:        http://phantomjs.googlecode.com/files/phantomjs-%{version}-source.zip
Patch1:         0001-unbundle-giflib.patch
Patch2:         0002-unbundle-mongoose.patch
Patch3:         0003-unbundle-breakpad.patch
Patch4:         0004-unbundle-qt.patch
Patch5:         0005-gifwriter-bgcolor-narrowing.patch

BuildRequires:  giflib-devel
BuildRequires:  mongoose-devel
BuildRequires:  qtwebkit-devel

%description
PhantomJS is a headless WebKit with JavaScript API. It has fast and native 
support for various web standards: DOM handling, CSS selector, JSON, Canvas, 
and SVG. It can be used for screen scraping and web testing. It includes an 
implementation of the WebDriver API.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
export CFLAGS="%{optflags}"
qmake-qt4
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_bindir}
cp bin/phantomjs %{buildroot}%{_bindir}/

%files
%doc README.md LICENSE.BSD CONTRIBUTING.md ChangeLog examples/
%{_bindir}/%{name}

%changelog
* Thu Jan 03 2013 Dan Callaghan <dcallagh@redhat.com> - 1.8.0-1
- update to final 1.8.0 release

* Mon Dec 10 2012 Dan Callaghan <dcallagh@redhat.com> - 1.8-0.1.git4c285c4
- initial version
